<?php
namespace Elementor;

class dokancatalog extends Widget_Base {
	
	public function get_name() {
		return 'dokancatalog';
	}
	
	public function get_title() {
		return 'اطلاعات فروشنده';
	}
	
 public function get_icon() {
		return 'eicon eicon-document-file';
    }
    
    public function get_categories() {
        return [ 'farnamproduct' ];
    }

	
	protected function register_controls() {


		
		
  $this->start_controls_section(
            'farnam_product_style_2',
            [
                'label' => esc_html__( 'تنظیمات استایل و ظاهر', 'woolentor' ),
            ]
        );


		    $this->add_control(
'sepidcolor-2',
			[
				'label' => __( 'پس زمینه تصویر', 'plugin-domain' ),
				'type' => Controls_Manager::COLOR,
			
				'selectors' => [
					'{{WRAPPER}} .dokanvendore1 img' => 'background: {{VALUE}} !important',
				],
			]
           );
		      $this->add_control(
'sepidcolor-3',
			[
				'label' => __( 'رنگ متن فروشنده', 'plugin-domain' ),
				'type' => Controls_Manager::COLOR,
			
				'selectors' => [
					'{{WRAPPER}} .mahsooledf4w33' => 'color: {{VALUE}} !important',
				],
			]
           );
		   
  $this->add_control(
'sepidcolor-5fr1',
			[
				'label' => __( 'رنگ پس زمینه دکمه نام فروشنده', 'plugin-domain' ),
				'type' => Controls_Manager::COLOR,
			
				'selectors' => [
					'{{WRAPPER}} .jonoobnik' => 'background: {{VALUE}} !important',
				],
			]
           );
  $this->add_control(
'sepidcolor-5fr1e33',
			[
				'label' => __( 'رنگ متن دکمه نام فروشنده', 'plugin-domain' ),
				'type' => Controls_Manager::COLOR,
			
				'selectors' => [
					'{{WRAPPER}} .jonoobnik' => 'color: {{VALUE}} !important',
				],
			]
           );

		
		  $this->add_control(
'sepidcolor-4',
			[
				'label' => __( 'رنگ عنوان رضایت از محصول', 'plugin-domain' ),
				'type' => Controls_Manager::COLOR,
			
				'selectors' => [
					'{{WRAPPER}} .th-144r' => 'color: {{VALUE}} !important',
				],
			]
           );
		   
		   	   
			   		   $this->add_control(
                        'titr-mehr-4',
                        [
                            'label' => __( 'سایه دور تصویر', 'woolentor' ),
                            'type' => Controls_Manager::HEADING,
                                              ]
                    );

			$this->add_group_control(
			\Elementor\Group_Control_Box_Shadow::get_type(),
			[
				'name' => 'box_shadow',
				'selector' => '{{WRAPPER}} .dokanvendore1 img',
			]
		);
					 $this->add_responsive_control(
                        'sepidborder-2',
                        [
                            'label' => esc_html__( 'گردی تصویر', 'woolentor' ),
                            'type' => Controls_Manager::DIMENSIONS,
                            'selectors' => [
                                '{{WRAPPER}} .dokanvendore1 img' => 'border-radius: {{TOP}}px {{RIGHT}}px {{BOTTOM}}px {{LEFT}}px !important;',
                            ],
                        ]
                    );
					
						 $this->add_responsive_control(
                        'sepidborder-3',
                        [
                            'label' => esc_html__( 'گردی دکمه نام فروشنده', 'woolentor' ),
                            'type' => Controls_Manager::DIMENSIONS,
                            'selectors' => [
                                '{{WRAPPER}} .jonoobnik' => 'border-radius: {{TOP}}px {{RIGHT}}px {{BOTTOM}}px {{LEFT}}px !important;',
                            ],
                        ]
                    );
					
						 $this->add_responsive_control(
                        'sepidborder-4',
                        [
                            'label' => esc_html__( 'گردی درصد رضایت', 'woolentor' ),
                            'type' => Controls_Manager::DIMENSIONS,
                            'selectors' => [
                                '{{WRAPPER}} .dokanvendore .percentage' => 'border-radius: {{TOP}}px {{RIGHT}}px {{BOTTOM}}px {{LEFT}}px !important;',
                            ],
                        ]
                    );
					
					
		$this->end_controls_section();
		
	}
	protected function render() {
		$settings = $this->get_settings_for_display();
defined( 'ABSPATH' ) || exit;

global $product;


				?>
				
				
				          <div class="dokanvendore">
					<?php if (is_plugin_active('dokan-lite/dokan.php')) { ?>

    <div class="dokanvendore1">
        <?php
if (function_exists('get_avatar')) {
echo get_avatar( get_the_author_meta('email'), '100' );
}
?>
    </div>

    <div class="dokanvendore323">
	 <div class="mahsooledf4w33">
						  فروشنده
						  </div>
<?php
			do_action( 'vendad-seller-link' );
		?>

</div><?php } ?>  


<div class="th-1">
		
  <?php 
  if (is_product()) {
    $comment_count = get_comments_number(); 
    if ($comment_count > 0) {
echo '  <div class="th-144r">
    رضایت از این محصول  	
  </div>';
      echo do_shortcode( '[woocommerce_percentage_rating]' );
    }
	else {

	}
	
  } else {
  }
  ?>	
</div>
</div>



		<?php


	}


	
	protected function _content_template() {

    }
	
	
}